%define major      0
%define libname    %mklibname %name %major
%define libnamedev %mklibname -d %name

Name:           openscap
Version:        0.7.2
Release:        %mkrel 1
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.open-scap.org/
Source0:        http://open-scap.org/download/%{name}-%{version}.tar.gz
Patch0:		openscap-0.7.2-pkgconfig.patch
Patch2:		openscap-0.7.1-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  swig
BuildRequires:	pcre-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	rpm-devel
BuildRequires:	curl-devel

%description
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.

%package -n %{libname}
Summary:	Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
Conflicts:	%name < 0.7.2

%description -n %{libname}
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.


%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.2

%description -n %{libnamedev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        python
Summary:        Python bindings for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python-devel 

%description    python
The %{name}-python package contains the bindings so that %{name}
libraries can be used by python.

%package        perl
Summary:        Perl bindings for %{name}
Group:          Development/Perl
Requires:       %{name} = %{version}-%{release}
BuildRequires:  perl-devel

%description    perl
The %{name}-perl package contains the bindings so that %{name}
libraries can be used by perl.

%prep
%setup -q
%patch0 -p1 -b .pkgconfig
%patch2 -p0 -b .link

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/bash_completion.d/oscap
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man8/*
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files python
%defattr(-,root,root,-)
%{python_sitearch}/*

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/*
%{perl_vendorlib}/*.pm

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc docs/{html,examples}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc



%changelog
* Sun Apr 24 2011 pterjan <pterjan> 0.7.2-1.mga1
+ Revision: 90013
- libify
- update to 0.7.2
- fix pkg-config file
- imported package openscap


* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 644115
- New version 0.7.1
- rediff rpm5 patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rpm5 rebuild for contrib/release

* Wed Dec 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.3-3mdv2011.0
+ Revision: 616384
- add rpm5 support (P1)

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0.6.3-2mdv2011.0
+ Revision: 598902
- rebuild for py2.7

* Mon Oct 18 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2011.0
+ Revision: 586615
- 0.6.3

* Sat Sep 04 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 575813
- new version 0.6.2
- New version 0.6.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 0.5.7-1mdv2010.1
+ Revision: 512251
- BR curl
- update file list
- new version 0.5.7

* Tue Jan 26 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.5.6-1mdv2010.1
+ Revision: 496752
- Fixed -devel group.
- Fixed groups for perl and python bindings.
- Imported into svn.
- Created package structure for openscap.

